{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link href="{% static 'admin/plugin/jstree/jstree.bundle.css' %}" rel="stylesheet" />

    <style type="text/css">
        .height-100{
            height: 100% !important;
            width: 100% !important;
        }

        .wrap{
            white-space: wrap !important;
        }
    </style>

    <!-- <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style> -->
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Master Kegiatan</li>
        </ol>
    </nav>

    <div class="d-flex justify-content-start mx-2">
        <div class="mb-md-0"> 
            <a href="{% url 'profile:admin_kegiatan_create' %}" type="button" class="btn btn-primary mt-1 mb-1">
                <i class="bi bi-plus"></i> Tambah Data
            </a>
        </div>
        <div class="mx-3"> 
            <button type="button" class="btn btn-danger mt-1 mb-4" data-toggle="modal" data-target="#arsiptahapan">
                <i class="bi bi-trash"></i> Arsip Data
            </button>
        </div>
    </div>

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-list"></i> Master Kegiatan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            {% csrf_token %}
            <div id="kt_docs_jstree_basic"></div>
            <!-- <div class="row">
                <div class="col-md-12">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered dt-responsive" id="table-list">
                            <thead class="bg-primary text-white">
                                <th>No</th>
                                <th>Bagian</th>
                                <th>Program</th>
                                <th>Kegiatan</th>
                                <th>Sub Kegiatan</th>
                                <th>Total Pagu</th>
                                <th>Realisasi Pagu</th>
                                <th>Sisa Pagu</th>
                                <th>Aksi</th>
                            </thead>
                            <tbody>
                                {% for item_kegiatan in kegiatan_list %}
                                    <tr>
                                        <td>{{forloop.counter}}</td>
                                        <td>{{item_kegiatan.bagian}}</td>
                                        <td>{{item_kegiatan.program}}</td>
                                        <td>{{item_kegiatan.kegiatan}}</td>
                                        <td>{{item_kegiatan.sub_kegiatan}}</td>
                                        <td>{{item_kegiatan.total_pagu}}</td>
                                        <td>{{item_kegiatan.realisasi}}</td>
                                        <td>{{item_kegiatan.sisa}}</td>
                                        <td>
                                            <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                                <a href="{% url 'profile:admin_kegiatan_edit' item_kegiatan.kegiatan_id %}" class="btn btn-success btn-circle mr-3 mb-2"><span class="fa fa-edit"></span></a>

                                                <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                                onclick="delete_('soft_delete', `{{ item_kegiatan.kegiatan }}`, '{{ item_kegiatan.kegiatan_id }}')"
                                                title="Arsipkan">
                                                    <i class="bi bi-archive"></i>
                                                </a>
                                            </div>
                                           
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div> -->
        </div>
    </div>

    {% include "profile/admin/master_kegiatan/archive.html" %}

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/plugin/jstree/jstree.bundle.js' %}"></script>

    <script>
        function restore_(kegiatan, id){

                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${kegiatan}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: "{% url 'profile:admin_kegiatan_restore' 0 %}".replace('0', id),
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Master kegiatan berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Master kegiatan gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: "{% url 'profile:admin_kegiatan_soft_delete' 0 %}".replace('0', id),
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Master kegiatan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Master kegiatan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }

        $(function(){
            get_tree_kegiatan();
        })

        function get_tree_kegiatan(){
            $.ajax({
                 type: 'POST',
                 headers : { "X-CSRFToken": $("input[name=csrfmiddlewaretoken]").val() },
                 url: "",
                 data: {},
                 cache: false,
                 contentType: false,
                 processData: false,
                 dataType: 'json',
                 success: function(data)
                 {
                   array_kegiatan = data.array_kegiatan

                   console.log(array_kegiatan)

                   $('#kt_docs_jstree_basic').jstree("destroy").empty()

                   $('#kt_docs_jstree_basic').jstree({
                       "core" : {
                           "data" : array_kegiatan,
                       }
                   });

                   // $('#total_anggaran').text(to_currency_indo(data.total_anggaran))
                 },
                 error: function(data){
                   $('#kt_docs_jstree_basic').jstree("destroy").empty() 

                   $('#total_anggaran').text('0,00')

                   array_kegiatan = []

                   var_tbl_gagal = ''
                   
                   // try{
                   //     var data_gagal = data.responseJSON.data_gagal;
                   // }catch(err){
                       
                   // }

                   // Swal.fire({
                   //     title: "Oops...",
                   //     type: "warning",
                   //     icon: 'error',
                   //     showCancelButton: false,
                   //     confirmButtonText: 'OK',
                   //     html: `<p>${data.responseJSON.pesan}</p>${var_tbl_gagal}`,
                   //     // text: 
                   // }, function() {
                   //         location.reload();
                   //     });
                 }
            });

        }
    </script>
{% endblock scripts_bawah %}